/*
 * Copyright 2008 nori090
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.coderepos.nori090.lib2chj;

import java.util.Date;

/**
 * @author nori090
 * @version $Rev: 85 $ $Date: 2008-06-02 22:18:54 +0900 (Mon, 02 Jun 2008) $
 */
public interface Subject {

    Thread getThread();

    Ita getIta();

    Subject setIta( Ita ita );

    Subject setThread( Thread thread );

    int getCommentCount();

    Subject setCommentCount( int count );

    String getTitle();

    Subject setTitle( String title );

    String getUrl();

    Subject setUrl( String url );

    String getId();

    Subject setId( String id );

    Date getThreadBuildDate();

    Date getLastUpdate();

    Subject setLastUpdate( Date date );
}
